/*    NNFS: Non-Networked File System.
 *    Copyright (C) 1995-1997  Thierry EXCOFFIER (exco@ligim.univ-lyon1.fr)
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef G_SECURE_H
#define G_SECURE_H

#include <stdio.h>
						       
FILE *g_fopen       (const char*, const char*) ;
void  g_fclose      (FILE*) ;
FILE *g_popen       (const char*, const char*) ;
void  g_pclose      (FILE*) ;
void  g_pipe        (int fildes[2]) ;
void  g_mkdir       (const char*, int) ;
void  g_chmod       (const char*, int) ;
int   g_fread       (char*, int, int, FILE*) ;
int   g_fork        () ;
void  g_chdir       (const char*) ;
void  g_fprintf     (FILE*, const char*, ... ) ;
char *g_Read_Line   (FILE*) ;
char *g_Formatted_Strings(const char *format, ...) ;
int   g_read        (int fildes, char *buffer, int size) ;

int g_read_int(FILE *f) ;
int g_read_int_hexa(FILE *f) ;
long g_read_long(FILE *f) ;
long g_read_unsigned_long(FILE *f) ;
long g_read_long_hexa(FILE *f) ;


#endif
